Bug 1728520 (CVE-2019-10162)

Summary: CVE-2019-10162 pdns: denial-of-service via crafted zone records
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: mstevens, ruben, sander
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pdns 4.1.10, pdns 4.0.8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:08:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1728521, 1728522    
Bug Blocks:    

Description Dhananjay Arunesh 2019-07-10 06:22:57 UTC
An issue has been found in PowerDNS Authoritative Server allowing an authorized user to cause the server to exit by inserting a crafted record in a MASTER type zone under their control. The issue is due to the fact that the Authoritative Server will exit when it runs into a parsing error while looking up the NS/A/AAAA records it is about to use for an outgoing notify.

Upstream fix:
https://blog.powerdns.com/2019/06/21/powerdns-authoritative-server-4-0-8-and-4-1-10-released/

Comment 1 Dhananjay Arunesh 2019-07-10 06:23:16 UTC
Created pdns tracking bugs for this issue:

Affects: epel-all [bug 1728522]
Affects: fedora-all [bug 1728521]

Comment 2 Dhananjay Arunesh 2019-07-10 06:24:18 UTC
External References:

https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2019-04.html

Comment 3 Product Security DevOps Team 2019-07-12 13:08:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.